Telegram APIMessages
messages.startBot
Start a conversation with a bot using a deep linking parameter
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Start a conversation with a bot using a deep linking parameter
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.startBot" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" }, "peer": { "_": "inputPeerEmpty" }, "randomId": "string", "startParam": "string" } }'{ "result": { "_": "updatesTooLong" }}setTyping
Sends a current user typing event (see [SendMessageAction](https://core.telegram.org/type/SendMessageAction) for all event types) to a conversation partner or group.
startHistoryImport
Complete the [history import process](https://core.telegram.org/api/import), importing all messages into the chat. To be called only after initializing the import with `messages.RawInitHistoryImportRequest` and uploading all files using `messages.RawUploadImportedMediaRequest`.